--- lib/kernel/src/inet_sctp.erl.orig	2009-07-05 12:42:10.000000000 +0200
+++ lib/kernel/src/inet_sctp.erl	2009-07-05 12:43:25.000000000 +0200
@@ -96,7 +96,7 @@
 
 connect_get_assoc(S, Addr, Port, false, Timer) ->
     case recv(S, inet:timeout(Timer)) of
-	{ok, {Addr, Port, [], #sctp_assoc_change{state=St}=Ev}} ->
+	{ok, {Addr, Port, _Info, #sctp_assoc_change{state=St}=Ev}} ->
 	    if St =:= comm_up ->
 		    %% Yes, successfully connected, return the whole
 		    %% sctp_assoc_change event (containing, in particular,
@@ -117,7 +117,7 @@
 connect_get_assoc(S, Addr, Port, Active, Timer) ->
     Timeout = inet:timeout(Timer),
     receive
-	{sctp,S,Addr,Port,{[],#sctp_assoc_change{state=St}=Ev}} ->
+	{sctp,S,Addr,Port,{_Info,#sctp_assoc_change{state=St}=Ev}} ->
 	    case Active of
 		once ->
 		    prim_inet:setopt(S, active, once);
